@echo off
rem ********************************************************************
rem Explode all files that exist
rem We used *.EX_ instead of *.EXE because everybody who gets the software
rem always wants to execute .EXE files.  Doing that without "-d -o -n"
rem creates big problems (no directory structure gets created).
rem ********************************************************************
if not exist MISC.ex_ goto next1
   ren MISC.ex_ MISC.exe
   MISC -d -o -n
   ren MISC.exe MISC.ex_
:next1
if not exist voapk.ex_ goto next2
   ren voapk.ex_ voapk.exe
   voapk -d -o -n
   ren voapk.exe voapk.ex_
:next2
if not exist recpk.ex_ goto next3
   ren recpk.ex_ recpk.exe
   recpk -d -o -n
   ren recpk.exe recpk.ex_
:next3
if not exist icepk.ex_ goto next4
   ren icepk.ex_ icepk.exe
   icepk -d -o -n
   ren icepk.exe icepk.ex_
:next4
if not exist world.ex_ goto next5
   ren world.ex_ world.exe
   world -d -o -n
   ren world.exe world.ex_
:next5
if not exist HFANT.ex_ goto next6
   ren HFANT.ex_ HFANT.exe
   HFANT -d -o -n
   ren HFANT.exe HFANT.ex_
:next6
if not exist COEFFS.ex_ goto next7
   ren COEFFS.ex_ COEFFS.exe
   COEFFS -d -o -n
   ren COEFFS.exe COEFFS.ex_
:next7
if not exist CEOFFASC.ex_ goto next8
   ren CEOFFASC.ex_ CEOFFASC.exe
   CEOFFASC -d -o -n
   ren CEOFFASC.exe CEOFFASC.ex_
:next8
if not exist VOASOUR.ex_ goto next9
   ren VOASOUR.ex_ VOASOUR.exe
   VOASOUR -d -o -n
   ren VOASOUR.exe VOASOUR.ex_
:next9
if not exist NEWER.ex_ goto next10
   ren NEWER.ex_ NEWER.exe
   NEWER -d -o -n
   ren NEWER.exe NEWER.ex_
:next10
rem delete temporary files in run because format
rem may be different in previous version
if exist run\v*.*  del run\v*.*
if exist run\i*.*  del run\i*.*
if exist run\r*.*  del run\r*.*
if exist run\a*.*  del run\a*.*
if exist run\h*.*  del run\h*.*
rem ****************************************************************
if not exist saved\*.* goto cont1
echo COPYing files from ..\SAVED to ..\SAVED\DEFAULT
copy saved\*.* saved\default
del  saved\*.VOA
del  saved\*.ICE
del  saved\*.REC
:cont1
if not exist areadata\*.* goto cont2
echo COPYing files from ..\AREADATA to ..\AREADATA\DEFAULT
copy areadata\*.* areadata\default
if exist areadata\*.V?? del  areadata\*.V??
if exist areadata\*.I?? del  areadata\*.I??
if exist areadata\*.R?? del  areadata\*.R??
:cont2
rem ****************************************************************
rem delete no longer needed files from BIN
if exist bin\CCIR*.* del bin\CCIR*.*
if exist bin\hfant8.exe del bin\hfant8.exe
if exist bin\horzplt.exe del bin\horzplt.exe
if exist bin\iceainp.exe del bin\iceainp.exe
if exist bin\iceinp.exe del bin\iceinp.exe
if exist bin\rec533in.exe del bin\rec533in.exe
if exist bin\recainp.exe del bin\recainp.exe
if exist bin\sansplt2.exe del bin\sansplt2.exe
if exist bin\vertplt.exe del bin\vertplt.exe
if exist bin\voaainp.exe del bin\voaainp.exe
if exist bin\voainp.exe del bin\voainp.exe
if exist scode\????save.scr del scode\????save.scr
if exist database\voacap.ver del database\voacap.ver
if exist database\rec533.ver del database\rec533.ver
if exist database\icepac.ver del database\icepac.ver
if exist database\icearea.ver del database\icearea.ver
if exist database\voaarea.ver del database\voaarea.ver
if exist database\recarea.ver del database\recarea.ver
rem delete no longer needed files from DATABASE
rem delete no longer needed files from BIN
if exist coeffs\ccir??.bin del coeffs\CCIR??.bin
if exist coeffs\ursi??.bin del coeffs\ursi??.bin
if exist coeffs\rep894??.bin del coeffs\rep894??.bin
if exist coeffs\coeffs.dat del coeffs\coeffs.dat
if exist coeffs\ccir_f2.day del coeffs\CCIR_f2.day
rem convert CIRCUITS.??? files for new HFANT
if exist bin\convrt2.exe bin\convrt2.exe
rem ****************************************************************
echo ***************************************************************
echo Read the README.* files
echo Modify AUTOEXEC.BAT and CONFIG.SYS as described.
echo Re-boot system to allow modifications to take effect.
echo Failure to do these steps will cause the programs to not work.
echo ***************************************************************
